Skip to navigation

Create or update multiple user authorizations

View as Markdown

Create or update multiple user authorizations in a single request. The body of the request is a list of userAuthorizationSomething objects. To create a new authorization, specify the agentUser and permission fields, with the optional startDate and endDate fields. To update an existing authorization, specify the authorizationId field and the startDate and/or endDate fields.

For example, to create a new authorization and update the end date of an existing authorization, your request body might look like this:

{
"authorizations": [
{
"agentUser": {
"userId": "1470ff66-xxxx-xxxx-xxxx-8c46f140da37",
"accountId": "230546a7-xxxx-xxxx-xxxx-af205d5494ad"
},
"permission": "manage"
},
{
"authorizationId": "b73ac983-xxxx-xxxx-xxxx-b3c0ea5b09d3",
"endDate": "2023-05-09T21:36:27.0000000+00:00"
}
]
}

The principal user is specified by the userId path parameter. To call this endpoint, you must be an account administrator or the principal user.

Note: To create an authorization with signing permission, the AllowDelegationSigning setting must be enabled on the account. If you share signing access, the agent user will receive an email notification. Each principal user can only share signing permission with one agent user.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired
The ID of the principal user.

Request

This endpoint expects an object: userAuthorizationsRequest

authorizationslist of objectsOptional

The list of user authorizations to create and/or update.

sendNotificationstringOptional

Response

Successful response.
resultslist of objectsOptional

Errors

400
Bad Request Error